Groovy 1.7.10

## org.codehaus.groovy.ast
[Java] Interface GroovyClassVisitor

    public interface GroovyClassVisitor

An implementation of the visitor pattern for working with ASTNodes

Authors:
  James Strachan

Version:
  \$Revision: 7922 \$

Method Summary
`void` | `visitClass(ClassNode node)`
`void` | `visitConstructor(ConstructorNode node)`
`void` | `visitField(FieldNode node)`
`void` | `visitMethod(MethodNode node)`
`void` | `visitProperty(PropertyNode node)`

Method Detail

### visitClass

    public void visitClass(ClassNode node)

### visitConstructor

    public void visitConstructor(ConstructorNode node)

### visitField

    public void visitField(FieldNode node)

### visitMethod

    public void visitMethod(MethodNode node)

### visitProperty

    public void visitProperty(PropertyNode node)

Copyright © 2003-2010 The Codehaus. All rights reserved.